Subject: Re: bug#6900: mktemp: want option to make a fifo

From: Eric Blake <[email-masked]>
Date: Mon, 23 Aug 2010 16:55:58 -0600

On 08/23/2010 04:49 PM, John Reiser wrote:
> On 08/23/2010 02:22 PM, Paul Eggert wrote:
>> On 08/23/2010 01:40 PM, John Reiser wrote:
>>> Two independent user requests [one of which
>>> includes code!] within a few months show a definite need.
>>
>> The two requests would have been more convincing if they demonstrated
>> a definite need.  Neither did: they both just said the equivalent
>> of "we need a new option".
>
> Consider a pipeline with three logical stages:   A | B1 | C
> where B1 is a shell script.  At some point B1 notices that one
> parallel process B2 becomes desirable, such that B2 also pipes
> into the same C as B1, and output from a *subset* of the multiple
> sequential subprocesses of B1 pipes into the same B2 [view in
> constant-width font]:
> A |  B1   | C
>         \  /
>          B2
> where both slashes also indicate fifos.

Thanks for the example scenario.  Next, could you please show the shell 
code that you are currently using, along with a version with your 
proposed 'mktemp --fifo', to show the difference in usage paradigms 
between the two approaches?  We may be able to help you efficiently 
re-write your existing code into an equally manageable but more portable 
solution using existing tools, or it may help to convince us that the 
shorthand is truly useful.  But without seeing actual usage examples, I 
can't say.

-- 
Eric Blake   [email-masked]    +1-801-349-2682
Libvirt virtualization library http://libvirt.org